## Index

### Functions

- eventCount
- get
- readFSA
- readFSAs
- transferOwnership
- writeFSA
- writeFSAs

## Functions

### eventCount

- eventCount(store: EventStore): Promise<number>

- - Defined in Store/Store.ts:23

  Store eventCount

  #### Parameters

  - ##### store: EventStore

  #### Returns Promise<number>

### get

- get(address: string, web3: any): Promise<EventStore>

- - Defined in Store/Store.ts:16

  #### Parameters

  - ##### address: string

  - ##### web3: any

  #### Returns Promise<EventStore>

### readFSA

- readFSA(store: EventStore, eventStoreAdapter: EventStoreAdapter, web3: any, eventId: number): Promise<any>

- - Defined in Store/Store.ts:44

  Store readFSA

  #### Parameters

  - ##### store: EventStore

  - ##### eventStoreAdapter: EventStoreAdapter

  - ##### web3: any

  - ##### eventId: number

  #### Returns Promise<any>

### readFSAs

- readFSAs(store: EventStore, eventStoreAdapter: EventStoreAdapter, web3: any, eventIndex?: number): Promise<IFSA[]>

- - Defined in Store/Store.ts:104

  #### Parameters

  - ##### store: EventStore

  - ##### eventStoreAdapter: EventStoreAdapter

  - ##### web3: any

  - ##### Default value eventIndex: number = 0

  #### Returns Promise<IFSA[]>

### transferOwnership

- transferOwnership(store: EventStore, from: string, to: string): Promise<any[]>

- - Defined in Store/Store.ts:28

  #### Parameters

  - ##### store: EventStore

  - ##### from: string

  - ##### to: string

  #### Returns Promise<any[]>

### writeFSA

- writeFSA(store: EventStore, eventStoreAdapter: EventStoreAdapter, web3: any, fromAddress: string, event: IFSA): Promise<IFSA>

- - Defined in Store/Store.ts:69

  Store writeFSA

  #### Parameters

  - ##### store: EventStore

  - ##### eventStoreAdapter: EventStoreAdapter

  - ##### web3: any

  - ##### fromAddress: string

  - ##### event: IFSA

  #### Returns Promise<IFSA>

### writeFSAs

- writeFSAs(store: EventStore, eventStoreAdapter: EventStoreAdapter, web3: any, fromAddress: string, events: IFSA[]): Promise<IFSA[]>

- - Defined in Store/Store.ts:87

  #### Parameters

  - ##### store: EventStore

  - ##### eventStoreAdapter: EventStoreAdapter

  - ##### web3: any

  - ##### fromAddress: string

  - ##### events: IFSA[]

  #### Returns Promise<IFSA[]>

Generated using TypeDoc